Bug 957544

Summary: Review Request: java-base64 - Java class for encoding and decoding Base64 notation
Product: [Fedora] Fedora Reporter: gil cattaneo <puntogil>
Component: Package ReviewAssignee: Orion Poplawski <orion>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, orion, package-review
Target Milestone: ---Flags: orion: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-06 04:24:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 836945    

Description gil cattaneo 2013-04-28 22:35:13 UTC
Spec URL: http://gil.fedorapeople.org/base64.spec
SRPM URL: http://gil.fedorapeople.org/base64-2.3.8-1.fc18.src.rpm
Description: 
Base64 is a Public Domain Java class for encoding and
decoding Base64 notation. There are one-liner convenience
methods as well as Input and Output Streams.
Fedora Account System Username: gil

Comment 1 Orion Poplawski 2013-05-01 01:53:29 UTC
We need a less generic name here.  I suggest java-base64 or iharder-base64.

Comment 3 Orion Poplawski 2013-05-01 23:07:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

I understand you are keeping old style for F18 compat.  Fine by me.

- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No /usr/share/javadoc/java-base64 found
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation

Need a symlink.  Also for the jar file:

https://fedoraproject.org/wiki/Packaging:Java#Filenames :

 If the package provides a single JAR and the filename provided by the build is neither %{name}-%{version}.jar nor %{name}.jar then this file MUST be installed as %{name}.jar and a symbolic link with the usual name must be provided. 

- Packages have proper BuildRequires/Requires on jpackage-utils
  Note: Maven packages do not need to (Build)Require jpackage-utils. It is
  pulled in by maven-local
  See: https://fedoraproject.org/wiki/Packaging:Java

I can go eiher way.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in java-
     base64-javadoc
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /export/home/orion/redhat/java-base64-2.3.8/957544-java-
     base64/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: java-base64-2.3.8-1.fc20.noarch.rpm
          java-base64-javadoc-2.3.8-1.fc20.noarch.rpm
java-base64.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint java-base64-javadoc java-base64
java-base64.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
java-base64-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

java-base64 (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
java-base64-javadoc:
    java-base64-javadoc

java-base64:
    base64
    java-base64
    mvn(net.iharder:base64)



Source checksums
----------------
https://github.com/omalley/base64/archive/release-2.3.8.tar.gz :
  CHECKSUM(SHA256) this package     : d86c7c0959733a3262bf88fc426507be9d1867050fe11c4bdb6a42776d5e16a5
  CHECKSUM(SHA256) upstream package : d86c7c0959733a3262bf88fc426507be9d1867050fe11c4bdb6a42776d5e16a5


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 957544 -m fedora-rawhide-x86_64

Comment 4 gil cattaneo 2013-05-01 23:34:23 UTC
Spec URL: http://gil.fedorapeople.org/java-base64.spec
SRPM URL: http://gil.fedorapeople.org/java-base64-2.3.8-2.fc18.src.rpm
- fix artifact name, added symlink
- fix javadoc name, added symlink

Comment 5 Orion Poplawski 2013-05-02 01:37:01 UTC
Approved.

Comment 6 gil cattaneo 2013-05-02 10:59:11 UTC
New Package SCM Request
=======================
Package Name: java-base64
Short Description: Java class for encoding and decoding Base64 notation
Owners: gil
Branches: f18 f19
InitialCC: java-sig

Comment 7 Gwyn Ciesla 2013-05-02 11:12:37 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-05-02 12:53:40 UTC
java-base64-2.3.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/java-base64-2.3.8-2.fc19

Comment 9 Fedora Update System 2013-05-02 13:06:16 UTC
java-base64-2.3.8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/java-base64-2.3.8-2.fc18

Comment 10 Fedora Update System 2013-05-02 16:28:33 UTC
java-base64-2.3.8-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2013-05-06 04:24:38 UTC
java-base64-2.3.8-2.fc19 has been pushed to the Fedora 19 stable repository.